#version 330

uniform	vec4 diffuse;

in Data {
	vec3 normal;
	vec3 l_dir;
} DataIn;

out vec4 colorOut;

void main() {

	// normalize both input vectors
	vec3 n = normalize(DataIn.normal);
	vec3 l = DataIn.l_dir;
	
	float intensity = max(dot(n,l), 0.0);

	colorOut = max(intensity *  diffuse, diffuse * 0.25);
}
