#version 130

uniform sampler2D tex;
uniform float lumBoost = 1.0;

in vec2 texCoordV;

out vec4 outColor;

void main() {


	outColor = texture(tex, texCoordV);

    // tone mapping
    outColor *= lumBoost;
    outColor = outColor / (1 + outColor);
}