#version 130

uniform sampler2D tex;

// note white can be RGB
uniform float white = 1.0; 

in vec2 texCoordV;

out vec4 outColor;

void main() {


	outColor = texture(tex, texCoordV);

    // tone mapping
    outColor = outColor * (1 + outColor/(white*white)) / (1 + outColor);
}